spring:
  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    url: &connectionUrl jdbc:mysql://${DB_CONNECTION_IP:localhost}:${DB_CONNECTION_PORT:3306}/db?createDatabaseIfNotExist=true&allowPublicKeyRetrieval=true&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=UTC&zeroDateTimeBehavior=convertToNull&useUnicode=true&characterEncoding=UTF-8
    username: &username ${DB_CONNECTION_USERNAME:root}
    password: &password ${DB_CONNECTION_PASSWORD:password}
  jpa:
    database: mysql
    show-sql: false
    generate-ddl: false
    hibernate:
      ddl-auto: validate
